<?php

/*
 * mod_cryptophoto
 * @package   Joomla.Cryptophoto
 * @subpackage  Components
 * @author    CryptoPhoto
 * @copyright Copyright (C) 2016 Cryptophoto.com. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @Websites: https://cryptophoto.com/
 * @Technical Support:  https://cryptophoto.com/help
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

class pkg_cryptophotoInstallerScript {

  /**
   * Method to install the component
   *
   * @return void
   */
  function install($parent) {
    echo '<p>' . JText::_('Cryptophoto bundle was successfully installed') . '</p>';
    
    // Link to Cryptophoto settings 
    echo "<p><u><a href='" . JRoute::_(JURI::base( true ) . "/index.php?option=com_cryptophoto&controller=cryptophotokeys&task=edit&keys[]=1") . "'>Configure Cryptophoto here</a></u></p>";
  }

  /**
   * Method to uninstall the component
   *
   * @return void
   */
  function uninstall($parent) {
    // $Parent is the class calling this method
    echo '<p>' . JText::_('CryptoPhoto bundle was successfully uninstalled') . '</p>';
  }

}
